1. Devise a report:
Show all the people in your address table, only if you know their birthday.
Show their name, address and birthday ordered by birthday month, so January birthdays are first.

  select first_name, last_name, birthday, address
  from people p
  inner join homes h on (p.home_id = h.id)
  where birthday != 'null'
  order by month(birthday);


2. Devise a report:
Output all information for all people and their home information

  select *
  from people p
  inner join homes h on (p.home_id = h.id);
  order by p.id;


3. Create a query to find all movies in the Sci-Fi genre.

  select * from movies where genre = "Sci-Fi";


4. Create a query to find all films that scored at least a 6.5 on IMDB

  select * from movies where imdb_score >= 6.5;


5. For parents who have young kids, but who dont want to sit through long childrens movies,
create a query to find all of the movies rated G or PG that are less than 100 minutes long.

  select * from movies where rating = "G" or rating = "PG" and runtime < "100";


6. Create a query to show the average runtimes of movies scoring below a 7.5 on imdb,
grouped by their respective genres.

  select avg(runtime) from movies where imdb_score < "7.5" group by genre;


7.Theres been a data entry mistake; Starship Troopers is actually rated R, not PG-13.
Create a query that finds the movie by its title and changes its rating to R.

  update movies set rating = "R" where title = "Starship Troopers";


8. Show the ID number and rating of all of the Horror and Documentary movies in the database.
Do this in only one query.

  select id, rating from movies where genre = "Horror" or genre = "Documentary";


9. This time lets find the average, maximum, and minimum IMDB score for movies of each rating.

  select avg(imdb_score), max(imdb_score), min(imdb_score) from movies group by rating;


10. That last query isnt very informative for ratings that only have 1 entry.
Use a HAVING COUNT(*) > 1 clause to only show ratings with multiple movies showing.

  select avg(imdb_score), max(imdb_score), min(imdb_score) from movies group by rating having count(*)>1;


11. Lets make our movie list more child-friendly. Delete all entries that have a rating of R.
Remember to record your query in script.sql.

  delete from movies where rating="R";
